/******************************************************************
*  Copyright (C) 2023 - 2023 OneChip, Inc. All rights reserved.
* File name: van_bsp_debug_uart.h.h
* Author: fanyidong 	 Date:2020.11.21
* Description:		STM32调试串口接口函数
* Others:
* History:
        1. Date:
                 Author:
                 Modification:

*****************************************************************/


#ifndef VAN_BSP_DEBUG_UART_H
#define VAN_BSP_DEBUG_UART_H

#include "onechip_include_header.h"

void Van_Debug_UART_Init(UART_HandleTypeDef * puart);
void Van_Debug_UART_TxCpltCallback(UART_HandleTypeDef *huart);
void Van_Debug_UART_Send_DMA(unsigned char *pdata, unsigned int Length);
void Van_Debug_UART_Rec_IDLE(UART_HandleTypeDef *huart);
void Van_Debug_UART_ErrorCallback(UART_HandleTypeDef *huart);
void Van_Debug_UART1_test(void);
void Van_Device_Printf(unsigned int printLevel, const char *cmd, ...);

#endif // DRIVER_COMMON_H
